explain_setpgid_or_die(3)

NAME
explain_setpgid_or_die - set process group and report errors

SYNOPSIS
#include <libexplain/setpgid.h>

void explain_setpgid_or_die(pid_t pid, pid_t pgid);
int explain_setpgid_on_error(pid_t pid, pid_t pgid);

DESCRIPTION
The explain_setpgid_or_die function is used to call the setpgid(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_setpgid(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_setpgid_on_error function is used to call the setpgid(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_setpgid(3) function, but still returns to the caller.

pid The pid, exactly as to be passed to the setpgid(2) system call.

pgid
    The pgid, exactly as to be passed to the setpgid(2) system call.

RETURN VALUE
The explain_setpgid_or_die function only returns on success, see setpgid(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_setpgid_on_error function always returns the value return by the wrapped setpgid(2) system call.

EXAMPLE
The explain_setpgid_or_die function is intended to be used in a fashion similar to the following example:
    explain_setpgid_or_die(pid, pgid);

SEE ALSO

setpgid(2)
    set process group

explain_setpgid(3)
    explain setpgid(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2011 Peter Miller